Skip to main content
GET
/
practices
List practices
curl --request GET \
  --url https://www.ruddr.io/api/workspace/practices \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "a3f7c821-6d4e-4b29-9f1a-d85c2e073f6b",
      "name": "Financial Services",
      "isActive": true,
      "createdAt": "2026-01-15T14:01:51.774Z"
    }
  ],
  "hasMore": false
}
A functional area used to group service offerings and personnel within the organization.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.